For the complete documentation index, see llms.txt. This page is also available as Markdown.

Templates

Templates

List metadata transaction templates

get
/metadata/templates

List metadata transaction templates

Header parameters
Accept-LanguagestringOptional

RFC 7231 language tags format (e.g., en-US, nl-NL) to use for returning localized names

Responses
200

List templates response

application/json
get/metadata/templates
GET /v2/metadata/templates HTTP/1.1
Host: api.flowretail.com
Accept: */*
200

List templates response

{
  "items": [
    {
      "type": "SMS_PICKUP_NOTE",
      "name": "SMS pickup note",
      "template": "Your order {.orderNumber} is ready to be picked up in {.storeName}",
      "mimeType": "HTML",
      "fields": [
        {
          "name": ".orderNumber",
          "description": "The ordernumber on the order"
        }
      ]
    }
  ]
}

List transaction templates

get
/tenants/{tenantUid}/templates

List transaction templates

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
sortBystringOptional

Defines which field the resource list is sorted by.

templateTypestringOptional

Filter on Template Type

Responses
200

TransactionTemplatesResponse

application/json
get/tenants/{tenantUid}/templates
GET /v2/tenants/{tenantUid}/templates HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

TransactionTemplatesResponse

{
  "items": [
    {
      "type": "SMS_PICKUP_NOTE",
      "name": "SMS pickup note",
      "template": "Your order {.orderNumber} is ready to be picked up in {.storeName}",
      "subject": "text",
      "mimeType": "HTML",
      "templateUid": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create transaction template

post
/tenants/{tenantUid}/templates

Create transaction template

Required permissions: TEMPLATE

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

TransactionTemplateRequestSchema

typestringRequired

This must be a valid type from /metadata/templates

Example: SMS_PICKUP_NOTE
templatestringRequiredExample: Your order {.orderNumber} is ready to be picked up in {.storeName}
subjectstringOptional
templateUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

TransactionTemplateResponse

application/json
typestringRequiredExample: SMS_PICKUP_NOTE
namestringRequiredExample: SMS pickup note
templatestringRequired

The template body.

Example: Your order {.orderNumber} is ready to be picked up in {.storeName}
subjectstringRequired

The template subject, used for emails

mimeTypeundefined · enumRequiredPossible values:
templateUidstringRequiredPattern: ^[A-Za-z0-9-_]*
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
post/tenants/{tenantUid}/templates
POST /v2/tenants/{tenantUid}/templates HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 144

{
  "type": "SMS_PICKUP_NOTE",
  "template": "Your order {.orderNumber} is ready to be picked up in {.storeName}",
  "subject": "text",
  "templateUid": "text"
}
201

TransactionTemplateResponse

{
  "type": "SMS_PICKUP_NOTE",
  "name": "SMS pickup note",
  "template": "Your order {.orderNumber} is ready to be picked up in {.storeName}",
  "subject": "text",
  "mimeType": "HTML",
  "templateUid": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Get transaction template by templateUid

get
/tenants/{tenantUid}/templates/{templateUid}

Get transaction template by templateUid

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
templateUidstringRequired

Reference to a template.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

TransactionTemplateResponse

application/json
typestringRequiredExample: SMS_PICKUP_NOTE
namestringRequiredExample: SMS pickup note
templatestringRequired

The template body.

Example: Your order {.orderNumber} is ready to be picked up in {.storeName}
subjectstringRequired

The template subject, used for emails

mimeTypeundefined · enumRequiredPossible values:
templateUidstringRequiredPattern: ^[A-Za-z0-9-_]*
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
get/tenants/{tenantUid}/templates/{templateUid}
GET /v2/tenants/{tenantUid}/templates/{templateUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

TransactionTemplateResponse

{
  "type": "SMS_PICKUP_NOTE",
  "name": "SMS pickup note",
  "template": "Your order {.orderNumber} is ready to be picked up in {.storeName}",
  "subject": "text",
  "mimeType": "HTML",
  "templateUid": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Update transaction template by templateUid

put
/tenants/{tenantUid}/templates/{templateUid}

Update transaction template by templateUid

Required permissions: TEMPLATE

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
templateUidstringRequired

Reference to a template.

Pattern: ^[A-Za-z0-9-_]+
Body
templatestringRequiredExample: Your order {.orderNumber} is ready to be picked up in {.storeName}
subjectstringOptional
Responses
200

TransactionTemplateResponse

application/json
typestringRequiredExample: SMS_PICKUP_NOTE
namestringRequiredExample: SMS pickup note
templatestringRequired

The template body.

Example: Your order {.orderNumber} is ready to be picked up in {.storeName}
subjectstringRequired

The template subject, used for emails

mimeTypeundefined · enumRequiredPossible values:
templateUidstringRequiredPattern: ^[A-Za-z0-9-_]*
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
put/tenants/{tenantUid}/templates/{templateUid}
PUT /v2/tenants/{tenantUid}/templates/{templateUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 98

{
  "template": "Your order {.orderNumber} is ready to be picked up in {.storeName}",
  "subject": "text"
}
200

TransactionTemplateResponse

{
  "type": "SMS_PICKUP_NOTE",
  "name": "SMS pickup note",
  "template": "Your order {.orderNumber} is ready to be picked up in {.storeName}",
  "subject": "text",
  "mimeType": "HTML",
  "templateUid": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Delete transaction template by templateUId

delete
/tenants/{tenantUid}/templates/{templateUid}

Delete transaction template by templateUId

Required permissions: TEMPLATE

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
templateUidstringRequired

Reference to a template.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

OK

No content

delete/tenants/{tenantUid}/templates/{templateUid}
DELETE /v2/tenants/{tenantUid}/templates/{templateUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Render transaction template preview

post
/tenants/{tenantUid}/templates/{templateUid}/notifications-preview

Render transaction template preview

Required permissions: TEMPLATE

Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
templateUidstringRequired

Reference to a template.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

OK

text/html
objectOptional
post/tenants/{tenantUid}/templates/{templateUid}/notifications-preview
POST /v2/tenants/{tenantUid}/templates/{templateUid}/notifications-preview HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}

Last updated